import { camel2snake } from './chunk-ZWU7NON2.mjs';

// src/camel2SnakeObject.ts
function camel2SnakeObject(obj) {
  return Object.entries(obj).reduce(
    // biome-ignore lint/performance/noAccumulatingSpread: Ignore here
    (acc, cur) => ({ ...acc, [camel2snake(cur[0])]: cur[1] }),
    {}
  );
}

export { camel2SnakeObject };
